import MVMCore
import MVMCoreUI

extension ViewController {
    public func fivegBLEConfig() throws -> BluetoothConfigModel {
        guard let json = loadObject?.modulesJSON?.dictionaryWithChainOfKeysOrIndexes(["fivegBleUuid", "fivegBleUuid"]) else {
            throw BluetoothConfigError.noJSONFound
        }
        return try BluetoothConfigModel.decode(jsonDict: json, delegateObject: nil)
    }
}

extension Collection {
    var isNotEmpty: Bool {
        return !isEmpty
    }
}
